<?php

/*
 Copyright (c) 2010 Amaury GRAILLAT, SiteDuZero.com
 Licensed under the GNU GPL license.
 See http://www.gnu.org/licenses/gpl.html
               amoweb.fr 
*/

//Get a free random page
$randId = 0;
while(file_exists('./boards/page'.round($randId).'.txt'))
	$randId = round(rand(),0);

if(!isset($_GET['id']) || $_GET['id'] > 9999999999999)
{
	header("location: ".$randId."/"); 
	exit;
}

//
//Notre fonction PHP pour afficher les messages
//
function afficher()
{
        $reponse = new xajaxResponse(); //Création d'une instance de xajaxResponse pour traiter les réponses serveur
        $text = ''; //Initialisation de la variable $text
        $fichier_texte = fopen('./pages/p'.round($_GET['id']).'.txt', 'r'); //On ouvre notre fichier texte en lecture seule
        $text = fread($fichier_texte, filesize('./pages/p'.round($_GET['id']).'.txt')); //On lit notre fichier et on le stocke dans la variable $chat
        fclose($fichier_texte); //On ferme notre fichier texte   
        $reponse->assign('textedit', 'innerHTML', $text); //Enfin, on change le contenu du div textedit par le contenu de $chat
	
        return $reponse;
}

//
//Notre fonction PHP envoyer pour envoyer un message
//
function envoyer($text)
{
	if($_GET['id'] == 0) return true;
	$reponse = new xajaxResponse();//Création d'une instance de xajaxResponse pour traiter les réponses serveur

	if(file_exists('./pages/p'.round($_GET['id']).'.txt') && rtrim(ltrim($text)) == "") @unlink('./pages/p'.round($_GET['id']).'.txt');

	if((rtrim(ltrim($text)) != ""))
	{
  		$fichier_texte = fopen('./pages/p'.round($_GET['id']).'.txt', 'w');//On ouvre notre fichier texte en ecriture seule
		fwrite($fichier_texte, htmlentities($text,ENT_COMPAT,'UTF-8'));//On stocke dans notre fichier
		fclose($fichier_texte);//On ferme notre fichier texte
	}

	return $reponse;
}

//
//Ouverture de la librairie xajax
//Instanciation d'un objet de la classe xajax, puis déclaration de nos fonctions php
//
require_once('./xajax_core/xajax.inc.php');
$xajax = new xajax(); //On initialise l'objet xajax
$xajax->setCharEncoding('UTF-8');
$xajax->register(XAJAX_FUNCTION, 'afficher');//on enregistre nos fonctions
$xajax->register(XAJAX_FUNCTION, 'envoyer');
$xajax->processRequest();//Fonction qui va se charger de générer le Javascript, à partir des données que l'on a fournies à xAjax APRES AVOIR DECLARE NOS FONCTIONS
?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Strict//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="fr" >
        <head>
                <title>Simple Black Board</title>
				<meta content="text/html; charset=UTF-8" http-equiv="Content-Type">
                <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
				<link rel="shortcut icon" href="/favicon.ico" />

		            <?php $xajax->printJavascript(); ?>
		            <script type="text/javascript">
					var waitme=0;
		            function refresh()
		            {		
							/*if(waitme == 1)
							{
								xajax_envoyer(document.getElementById('textedit').value);
							}
							else*/ if(waitme > 0)
								waitme=waitme-1;
							else
							{
								var curPosStart = document.getElementById('textedit').selectionStart;
								var curPosEnd = document.getElementById('textedit').selectionEnd;

								xajax_afficher();

								document.getElementById('textedit').setSelectionRange(curPosStart,curPosEnd);
							}

		                    setTimeout(refresh, 5000);
		            }
		            </script>
        </head>
        <body style="text-align:center;" onbeforeunload="xajax_envoyer(document.getElementById('textedit').value);">
				<form action="">
				<textarea name="content" id="textedit" cols="150" rows="30" height="100%" onchange="waitme=2; xajax_envoyer(document.getElementById('textedit').value); return false;" style="border:0px;"></textarea>
                </form>

				<small>

				<a href="" onclick="xajax_afficher();">reload</a> − <?php if(round($_GET['id']) > 0) { ?><a href="<?php echo round($_GET['id'])-1 ?>" onclick="xajax_envoyer(document.getElementById('textedit').value);">previous</a> − <?php }?><a href="<?php echo round($_GET['id'])+1 ?>" onclick="xajax_envoyer(document.getElementById('textedit').value);">next</a> − <a href="<?php echo $randId; ?>" onclick="xajax_envoyer(document.getElementById('textedit').value);">rand</a>
				
				<br/>http://bb.amoweb.fr/<?php echo $_GET['id']?>
				</small>

                <script type="text/javascript">
						xajax.config.defaultMode = "asynchronous"; //synchronous
                        refresh(); //On appelle la fonction refresh() pour lancer le script
                </script>
        </body>
</html>

